.de EX		\"Begin example
.ne 5
.if n .sp 1
.if t .sp .5
.nf
.in +.5i
..
.de EE
.fi
.in -.5i
.if n .sp 1
.if t .sp .5
..
.TH xcalendar 1 "XawPlus 3.0" "X Version 11"
.SH NAME
xcalendar - calendar with a notebook for X11
.SH SYNTAX
.PP
\fBxcalendar \fP[month \fp[year\fp]\fP]
.PP
.SH DESCRIPTION
.PP
\fIxcalendar\fP is a simple interactive calendar program with a notebook
capability. It is built on the X Toolkit and the Athena or Motif Widgets
(compile time option).
.PP
If month and year are not provided on the command line they are assumed
to be current. 
.PP
.SH INTERACTIONS
.PP
Clicking the left mouse button on a day will start a text editor.
You can edit and save a text.  This text will be associated with the
day. You can later on read and edit this text when you open the editor
for the same day. The text is saved in a file in the directory
specified by the calendarDir resource (default ~/Calendar). The editor 
lets you also clear an entry associated with a particular day.   You 
can also scroll through days while in the editor by clicking on the 
arrows on either side of the date label.  If an already open day is 
scrolled to, an appropriate message is displayed and the editor is 
brought upin read only mode.
.PP
It is also possible to scroll through months in the main window by clicking
on the arrows on either side of the current date label.
.PP
You can highlight all entries in a month by invoking
the function ShowEntries. By default this function is
called when the left mouse button is pressed in the
title window (where month and a year are displayed).
Pressing again the same button will unhighlight the entries.
.PP
"Holidays" are shown in a text widget near the bottom of the day 
editor.  Holidays are read from a holiday file (see holidayFile
below).  The format of the file is mm/dd/yyyy holidaytext where the 
date and text are separated by a tab.  Currently there is no 
wildcarding done.
.SH MISSING FEATURES
.PP
One can imagine many useful features. For example
automatic parsing of the current day entry in search for
appointments to trigger alarms (reminders) at the approriate
time.  Actually, there is a perl script called \fIxcalendar+\fP that
will do this sort of thing.  Maybe one day \fIxcalendar\fP will do it
internally.
.PP
.SH RESOURCES
.PP
The resource data base lets you alter the visual appearance
of the program. You can change fonts, border widths, labels, 
and other resources used by widgets. One use of this facility is
to change names of week days and months.
.PP
Here are the names of widgets you can use to set 
various resources: 
.PP
.EX 0
XCalendar    - class of the application
xcalendar    - top level pane
controls     - control panel
quitButton   - quit button
helpButton   - help button
date         - date label
calendar     - calendar pane
daynumbers   - day numbers frame
1-49         - day number buttons
daynames     - day names frame
MON,TUE,WED,THU,FRI,SAT,SUN - day name buttons
helpWindow   - help window
bcontrols    - month buttons frame
prev         - previous month button
succ         - succeeding month button
cdate        - current date widget
dayEditor    - editor popup
editorFrame  - editor frame
editorTitle  - editor title
editor       - editor
holiday      - holiday text
daybuttons   - day buttons frame
prevday      - previous day button
succday      - succeeding day button
editorControls - control panel
doneButton   - done button
saveButton   - save button
clearEntry   - clear entry button
.EE
.PP

.SH FILES
.PP
$HOME/Calendar/*, /usr/lib/X11/xcalendar/xcalendar.hlp,
/usr/lib/X11/xcalendar/xcalendar.hol
.PP
.SH SEE ALSO
xrdb(1), xcalendar+(1)
.PP
.SH BUGS
.PP
I'm sure there are some.  If you find any, let me (bingle@cs.purdue.edu) know.
.PP
.SH AUTHORS
.PP
Copyright 1988 by Massachusetts Institute of Technology
.br
Roman J. Budzianowski, MIT Project Athena

Copyright 1990-1994 by Purdue University
.br
Richard Bingle, Department of Computer Sciences

Enhancements/Suggestions by:
.br
Beth Chaney
.br
Purdue University, Department of Computer Sciences

Mike Urban
.br
Jet Propulsion Labs, NASA

Joel Neisen
.br
Minnesota Supercomputer Center

Hiroshi Kuribayashi
.br
Omron Corp.
