.TH XTARTOOL 1 "XawPlus 3.0" "X Version 11"
.SH NAME
xtartool - a simple XawPlus frontend to GNU tar
.SH SYNTAX
\fBxtartool\fP [ \fI-toolkitoption\fP ...] [ filename ]
.SH OPTIONS
.I Xtartool
accepts all of the standard X Toolkit command line
options (see \fIX(1)\fP).  The order of the command line options is
not important.
.TP 10
.I filename
Specifies the file to be loaded during start-up. If no file is specified,
.I xtartool
let you load a file with the built in file selection dialog.
.SH DESCRIPTION
.I Xtartool
provides a window consisting of three areas. The upper area contains the
buttons to activate the functions of xtartool. 
Below these buttons \fIxtartool\fR will show you a list of files found in an
opened archive. The lower area contains a label that will show you the
name of the tar archive you are currently working with.

.SH BUTTONS
\fBxtartool\fP has the following buttons to control its function:
.IP \fBQuit\fR
Terminates \fIxtartool\fR.
.IP \fBOpen\fR
Press this button to load an archive file. \fBOpen\fR activates a
file dialog. This dialog
displays a `ls -l' styled file list of the current working
directory. To change the directory press a directory name, marked
with a folder icon in the first column. Select directory `.' to redisplay
the files in the current directory, select `..' to change one step
upward in the directory hierarchy or select any other file to open
it. After this, press \fBOk\fR to open this archive this file or \fBCancel\fR
to abort the dialog. Note, that this dialog
does not display special files like device drivers or named pipes.
Executable files are displayed with a gear wheel icon in the first
column. Not readable files are displayed
with a striked out sheet of paper as icon and directories that are
not executable are displayed with a striked out folder icon.
.IP \fBView\fR
starts the internal ascii file viewer to show the content of
selected files in the tar list. It is possible
to select one or more files in this list. If no file is selected, nothing
happens. Note that it takes some time to read the files from very large tar
archives.
.IP \fBExtract\fR
extracts the files selected in the file list from the tar archive. If no
file is selected nothing happens. To determine the destination for these
files, a dialog is popped up to ask for the destination directory.
.IP \fBExtractAll\fR
is currently not implemented :-(. In a future version \fBxtartool\fP will
extract all files from the archive.
.IP \fBCreate\fR
is also currently not implemented :-(. A future version \fBxtartool\fP will
pop up a dialog to select files for a new archive.
.PP
All buttons are displayed with an icon. If you don't understand the meaning of
these icons immediately, move the mouse pointer on the button and wait until a
tooltip is shown.

.SH NAVIGATION IN THE TAR LIST
It is possible to use the scrollbar to navigate in the file list of the
tar archive. The navigation keys of the keyboard and a search function are
also supported:

.IP \fBHome\fR
Jumps from any position to the beginning of the tar list.
.IP \fBEnd\fR
Jumps from any position to the end of the tar list.
.IP \fBPage Up\fR
Scroll the tar list one page upwards.
.IP \fBPage Down\fR
Scroll the tar list one page downwards.
.IP \fBUp\fR
Scroll the tar list one line upwards.
.IP \fBDown\fR
Scroll the tar list one line downwards.
.IP \fB<Ctrl-S>\fR
Will open the search dialog as a popup. It is possible to search in the
tar list in the same way as in a text file. 
.PP

.SH SEE ALSO
tar(1)
.SH COPYRIGHT
See file \fILICENSE\fP for a full statement of rights and permissions.
.SH AUTHORS
Roland Krause (rokrause@aol.com), Germany

